Bug 1638219 - [RGW]: Assume role API missing a commit on RHCEPH3.2 build
Summary: [RGW]: Assume role API missing a commit on RHCEPH3.2 build
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 3.2
Hardware: Unspecified
OS: All
high
medium
Target Milestone: rc
: 3.2
Assignee: Matt Benjamin (redhat)
QA Contact: vidushi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-11 06:56 UTC by Tejas
Modified: 2019-01-03 19:02 UTC (History)
7 users (show)

Fixed In Version: RHEL: ceph-12.2.8-15.el7cp Ubuntu: ceph_12.2.8-13redhat1
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2019-01-03 19:02:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ceph ceph pull 20332 None None None 2018-10-16 22:56:11 UTC
Red Hat Product Errata RHBA-2019:0020 None None None 2019-01-03 19:02:17 UTC

Description Tejas 2018-10-11 06:56:58 UTC
Description of problem:

STS Lite provides a AssumeRole API as part of the new feature in RHCEPH 3.2.

This commit is missing from the upstream Luminous branch:
https://github.com/ceph/ceph/commit/021299081ce026752013610771d437badfb6bef1

Comment 3 Matt Benjamin (redhat) 2018-10-11 11:31:33 UTC
@tejas, FYI, the required commit is on the -master- branch of upstream ceph.git, not its luminous branch.

Matt

Comment 6 Ken Dreyer (Red Hat) 2018-10-16 22:54:57 UTC
Matt, "rgw: Correct permission evaluation to allow only admin users to work with Roles." is not in luminous upstream. Would you please post PRs to mimic and luminous for that?

Comment 7 Matt Benjamin (redhat) 2018-10-16 22:55:32 UTC
(In reply to Ken Dreyer (Red Hat) from comment #6)
> Matt, "rgw: Correct permission evaluation to allow only admin users to work
> with Roles." is not in luminous upstream. Would you please post PRs to mimic
> and luminous for that?

Sure.

Matt

Comment 17 errata-xmlrpc 2019-01-03 19:02:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0020


Note You need to log in before you can comment on or make changes to this bug.